Properties Methods Events Config Options Direct Link

    Observable
      Component
        BoxComponent
          Field
            TextField
              NumberField

# Class Ext.form.NumberField

Package: | Ext.form
Defined In: | NumberField.js
Class: | NumberField
Extends: | TextField

Numeric text field that provides automatic keystroke filtering and numeric validation.

## Config Options

Config Options | Defined By
--- | ---
| allowBlank : Boolean False to validate that the value length > 0 (defaults to true) | TextField
| allowDecimals : Boolean False to disallow decimal values (defaults to true) | NumberField
| allowDomMove : Boolean Whether the component can move the Dom node when rendering (defaults to true). | Component
| allowNegative : Boolean False to prevent entering a negative sign (defaults to true) | NumberField

applyTo : Mixed
The id of the node, a DOM node or an existing Element corresponding to a DIV that is already present in the document ...
The id of the node, a DOM node or an existing Element corresponding to a DIV that is already present in the document that specifies some structural markup for this component. When applyTo is used, constituent parts of the component can also be specified by id or CSS class name within the main element, and the component being created may attempt to create its subcomponents from that markup if applicable. Using this config, a call to render() is not required. If applyTo is specified, any value passed for renderTo will be ignored and the target element's parent node will automatically be used as the component's container.

Component

| autoCreate : String/Object A DomHelper element spec, or true for a default element spec (defaults to {tag: "input", type: "text", size: "20", au... A DomHelper element spec, or true for a default element spec (defaults to {tag: "input", type: "text", size: "20", autocomplete: "off"}) | Field
| autoHeight : Boolean True to use height:'auto', false to use fixed height (defaults to false). | BoxComponent
| autoShow : Boolean True if the component should check for hidden classes (e.g. 'x-hidden' or 'x-hide-display') and remove them on render... True if the component should check for hidden classes (e.g. 'x-hidden' or 'x-hide-display') and remove them on render (defaults to false). | Component
| autoWidth : Boolean True to use width:'auto', false to use fixed width (defaults to false). | BoxComponent
| baseChars : String The base set of characters to evaluate as valid numbers (defaults to '0123456789'). | NumberField
| blankText : String Error text to display if the allow blank validation fails (defaults to "This field is required") | TextField
| clearCls : String The CSS class used to provide field clearing (defaults to 'x-form-clear-left') | Field
| cls : String An optional extra CSS class that will be added to this component's Element (defaults to ''). This can be useful for a... An optional extra CSS class that will be added to this component's Element (defaults to ''). This can be useful for adding customized styles to the component or any of its children using standard CSS rules. | Component
| ctCls : String An optional extra CSS class that will be added to this component's container (defaults to ''). This can be useful for... An optional extra CSS class that will be added to this component's container (defaults to ''). This can be useful for adding customized styles to the container or any of its children using standard CSS rules. | Component
| decimalPrecision : Number The maximum precision to display after the decimal separator (defaults to 2) | NumberField
| decimalSeparator : String Character(s) to allow as the decimal separator (defaults to '.') | NumberField
| disableKeyFilter : Boolean True to disable input keystroke filtering (defaults to false) | TextField
| disabled : Boolean True to disable the field (defaults to false). | Field
| disabledClass : String CSS class added to the component when it is disabled (defaults to "x-item-disabled"). | Component
| emptyClass : String The CSS class to apply to an empty field to style the emptyText (defaults to 'x-form-empty-field'). This class is aut... The CSS class to apply to an empty field to style the emptyText (defaults to 'x-form-empty-field'). This class is automatically added and removed as needed depending on the current field value. | TextField
| emptyText : String The default text to display in an empty field (defaults to null). | TextField
| fieldClass : String The default CSS class for the field (defaults to "x-form-field x-form-num-field") | NumberField
| fieldLabel : String The label text to display next to this field (defaults to '') | Field
| focusClass : String The CSS class to use when the field receives focus (defaults to "x-form-focus") | Field
| grow : Boolean True if this field should automatically grow and shrink to its content | TextField
| growMax : Number The maximum width to allow when grow = true (defaults to 800) | TextField
| growMin : Number The minimum width to allow when grow = true (defaults to 30) | TextField
| height : Number The height of this component in pixels (defaults to auto). | BoxComponent
| hideLabel : Boolean True to completely hide the label element (defaults to false) | Field
| hideMode : String How this component should hidden. Supported values are "visibility" (css visibility), "offsets" (negative offset posi... How this component should hidden. Supported values are "visibility" (css visibility), "offsets" (negative offset position) and "display" (css display) - defaults to "display". | Component

hideParent : Boolean
True to hide and show the component's container when hide/show is called on the component, false to hide and show the...
True to hide and show the component's container when hide/show is called on the component, false to hide and show the component itself (defaults to false). For example, this can be used as a shortcut for a hide button on a window by setting hide:true on the button when adding it to its parent container.

Component

| id : String The unique id of this component (defaults to an auto-assigned id). | Component
| inputType : String The type attribute for input fields -- e.g. radio, text, password (defaults to "text"). | Field
| invalidClass : String The CSS class to use when marking a field invalid (defaults to "x-form-invalid") | Field
| invalidText : String The error text to use when marking a field invalid and no message is provided (defaults to "The value in this field i... The error text to use when marking a field invalid and no message is provided (defaults to "The value in this field is invalid") | Field
| itemCls : String An additional CSS class to apply to this field (defaults to the container's itemCls value if set, or '') | Field
| labelSeparator : String The standard separator to display after the text of each form label (defaults to the value of Ext.layout.FormLayout.l... The standard separator to display after the text of each form label (defaults to the value of Ext.layout.FormLayout.labelSeparator, which is a colon ':' by default). To display no separator for this field's label specify empty string ''. | Field
| labelStyle : String A CSS style specification to apply directly to this field's label (defaults to the container's labelStyle value if se... A CSS style specification to apply directly to this field's label (defaults to the container's labelStyle value if set, or ''). For example, `labelStyle: 'font-weight:bold;'`. | Field
| listeners : Object A config object containing one or more event handlers to be added to this object during initialization. This should b... A config object containing one or more event handlers to be added to this object during initialization. This should be a valid listeners config object as specified in the addListener example for attaching multiple handlers at once. | Observable
| maskRe : RegExp An input mask regular expression that will be used to filter keystrokes that don't match (defaults to null) | TextField
| maxLength : Number Maximum input field length allowed (defaults to Number.MAX_VALUE) | TextField
| maxLengthText : String Error text to display if the maximum length validation fails (defaults to "The maximum length for this field is {maxL... Error text to display if the maximum length validation fails (defaults to "The maximum length for this field is {maxLength}") | TextField
| maxText : String Error text to display if the maximum value validation fails (defaults to "The maximum value for this field is {maxVal... Error text to display if the maximum value validation fails (defaults to "The maximum value for this field is {maxValue}") | NumberField
| maxValue : Number The maximum allowed value (defaults to Number.MAX_VALUE) | NumberField
| minLength : Number Minimum input field length required (defaults to 0) | TextField
| minLengthText : String Error text to display if the minimum length validation fails (defaults to "The minimum length for this field is {minL... Error text to display if the minimum length validation fails (defaults to "The minimum length for this field is {minLength}") | TextField
| minText : String Error text to display if the minimum value validation fails (defaults to "The minimum value for this field is {minVal... Error text to display if the minimum value validation fails (defaults to "The minimum value for this field is {minValue}") | NumberField
| minValue : Number The minimum allowed value (defaults to Number.NEGATIVE_INFINITY) | NumberField
| msgFx : String Experimental The effect used when displaying a validation message under the field (defaults to 'normal'). | Field

msgTarget : String
The location where error text should display. Should be one of the following values (defaults to 'qtip'): Value ...
The location where error text should display. Should be one of the following values (defaults to 'qtip'):

    Value         Description
    -----------   ----------------------------------------------------------------------
    qtip          Display a quick tip when the user hovers over the field
    title         Display a default browser title attribute popup
    under         Add a block div beneath the field containing the error text
    side          Add an error icon to the right of the field with a popup on hover
    [element id]  Add the error text directly to the innerHTML of the specified element

Field

| name : String The field's HTML name attribute. | Field
| nanText : String Error text to display if the value is not a valid number. For example, this can happen if a valid character like '.' ... Error text to display if the value is not a valid number. For example, this can happen if a valid character like '.' or '-' is left in the field with no number (defaults to "{value} is not a valid number") | NumberField

plugins : Object/Array
An object or array of objects that will provide custom functionality for this component. The only requirement for a v...
An object or array of objects that will provide custom functionality for this component. The only requirement for a valid plugin is that it contain an init method that accepts a reference of type Ext.Component. When a component is created, if any plugins are available, the component will call the init method on each plugin, passing a reference to itself. Each plugin can then call methods or respond to events on the component as needed to provide its functionality.

Component

| readOnly : Boolean True to mark the field as readOnly in HTML (defaults to false) -- Note: this only sets the element's readOnly DOM att... True to mark the field as readOnly in HTML (defaults to false) -- Note: this only sets the element's readOnly DOM attribute. | Field

regex : RegExp
A JavaScript RegExp object to be tested against the field value during validation (defaults to null). If available, t...
A JavaScript RegExp object to be tested against the field value during validation (defaults to null). If available, this regex will be evaluated only after the basic validators all return true, and will be passed the current field value. If the test fails, the field will be marked invalid using regexText.

TextField

| regexText : String The error text to display if regex is used and the test fails during validation (defaults to "") | TextField
| renderTo : Mixed The id of the node, a DOM node or an existing Element that will be the container to render this component into. Using... The id of the node, a DOM node or an existing Element that will be the container to render this component into. Using this config, a call to render() is not required. | Component
| selectOnFocus : Boolean True to automatically select any existing field text when the field receives input focus (defaults to false) | TextField
| stateEvents : Array An array of events that, when fired, should trigger this component to save its state (defaults to none). These can be... An array of events that, when fired, should trigger this component to save its state (defaults to none). These can be any types of events supported by this component, including browser or custom events (e.g., ['click', 'customerchange']). | Component
| stateId : String The unique id for this component to use for state management purposes (defaults to the component id). | Component
| style : String A custom style specification to be applied to this component's Element. Should be a valid argument to Ext.Element.app... A custom style specification to be applied to this component's Element. Should be a valid argument to Ext.Element.applyStyles. | Component
| tabIndex : Number The tabIndex for this field. Note this only applies to fields that are rendered, not those which are built via applyT... The tabIndex for this field. Note this only applies to fields that are rendered, not those which are built via applyTo (defaults to undefined). | Field
| validateOnBlur : Boolean Whether the field should validate when it loses focus (defaults to true). | Field
| validationDelay : Number The length of time in milliseconds after user input begins until validation is initiated (defaults to 250) | Field
| validationEvent : String/Boolean The event that should initiate field validation. Set to false to disable automatic validation (defaults to "keyup"). | Field

validator : Function
A custom validation function to be called during field validation (defaults to null). If available, this function wil...
A custom validation function to be called during field validation (defaults to null). If available, this function will be called only after the basic validators all return true, and will be passed the current field value and expected to return boolean true if the value is valid or a string error message if invalid.

TextField

| value : Mixed A value to initialize this field with. | Field
| vtype : String A validation type name as defined in Ext.form.VTypes (defaults to null) | TextField
| vtypeText : String A custom error message to display in place of the default message provided for the vtype currently set for this field... A custom error message to display in place of the default message provided for the vtype currently set for this field (defaults to ''). Only applies if vtype is set, else ignored. | TextField
| width : Number The width of this component in pixels (defaults to auto). | BoxComponent

xtype : String
The registered xtype to create. This config option is not used when passing a config object into a constructor. This ...
The registered xtype to create. This config option is not used when passing a config object into a constructor. This config option is used only when lazy instantiation is being used, and a child item of a Container is being specified not as a fully instantiated Component, but as a Component config object. The xtype will be looked up at render time up to determine what type of child Component to create.
The predefined xtypes are listed here.
If you subclass Components to create your own Components, you may register them using Ext.ComponentMgr.registerType in order to be able to take advantage of lazy instantiation and rendering.

Component

## Public Properties

Property | Defined By
--- | ---
| disabled : Boolean True if this component is disabled. Read-only. | Component
| hidden : Boolean True if this component is hidden. Read-only. | Component
| initialConfig : Object This Component's initial configuration specification. Read-only. | Component
| ownerCt : Ext.Container The component's owner Ext.Container (defaults to undefined, and is set automatically when the component is added to a... The component's owner Ext.Container (defaults to undefined, and is set automatically when the component is added to a container). Read-only. | Component
| rendered : Boolean True if this component has been rendered. Read-only. | Component

## Public Methods

Method | Defined By
--- | ---

NumberField( `Object config` )
Creates a new NumberField
Creates a new NumberField
Parameters:

- `config` : Object
  Configuration options

Returns:

- ``

NumberField

addClass( `string cls` ) : void
Adds a CSS class to the component's underlying element.
Adds a CSS class to the component's underlying element.
Parameters:

- `cls` : string
  The CSS class name to add

Returns:

- `void`

Component

addEvents( `Object object` ) : void
Used to define events on this Observable
Used to define events on this Observable
Parameters:

- `object` : Object
  The object with the events defined

Returns:

- `void`

Observable

addListener( `String eventName`, `Function handler`, [`Object scope`], [`Object options`] ) : void
Appends an event handler to this component
Appends an event handler to this component
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `scope` : Object
  (optional) The scope in which to execute the handler function. The handler function's "this" context.
- `options` : Object
  (optional) An object containing handler configuration properties. This may contain any of the following properties:
  - scope : Object

    The scope in which to execute the handler function. The handler function's "this" context.

  - delay : Number

    The number of milliseconds to delay the invocation of the handler after the event fires.

  - single : Boolean

    True to add a handler to handle just the next firing of the event, and then remove itself.

  - buffer {Number} Causes the handler to be scheduled to run in an Ext.util.DelayedTask delayed by the specified number of milliseconds. If the event fires again within that time, the original handler is not invoked, but the new handler is scheduled in its place.

  Combining Options
  Using the options argument, it is possible to combine different types of listeners:
  A normalized, delayed, one-time listener that auto stops the event and passes a custom argument (forumId)

      el.on('click', this.onClick, this, {
          single: true,
          delay: 100,
          forumId: 4
      });

  Attaching multiple handlers in 1 call
  The method also allows for a single argument to be passed which is a config object containing properties which specify multiple handlers.

      foo.on({
          'click' : {
              fn: this.onClick,
              scope: this,
              delay: 100
          },
          'mouseover' : {
              fn: this.onMouseOver,
              scope: this
          },
          'mouseout' : {
              fn: this.onMouseOut,
              scope: this
          }
      });

  Or a shorthand syntax:

      foo.on({
          'click' : this.onClick,
          'mouseover' : this.onMouseOver,
          'mouseout' : this.onMouseOut,
           scope: this
      });

Returns:

- `void`

Observable

applyToMarkup( `String/HTMLElement el` ) : void
Apply this component to existing markup that is valid. With this function, no call to render() is required.
Apply this component to existing markup that is valid. With this function, no call to render() is required.
Parameters:

- `el` : String/HTMLElement

Returns:

- `void`

Component

autoSize() : void
Automatically grows the field to accomodate the width of the text up to the maximum field width allowed. This only ta...
Automatically grows the field to accomodate the width of the text up to the maximum field width allowed. This only takes effect if grow = true, and fires the autosize event.
Parameters:

- None.

Returns:

- `void`

TextField

clearInvalid() : void
Clear any invalid styles/messages for this field
Clear any invalid styles/messages for this field
Parameters:

- None.

Returns:

- `void`

Field

cloneConfig( `Object overrides` ) : Ext.Component
Clone the current component using the original config values passed into this instance by default.
Clone the current component using the original config values passed into this instance by default.
Parameters:

- `overrides` : Object
  A new config containing any properties to override in the cloned version. An id property can be passed on this object, otherwise one will be generated to avoid duplicates.

Returns:

- `Ext.Component`
  clone The cloned copy of this component

Component

destroy() : void
Destroys this component by purging any event listeners, removing the component's element from the DOM, removing the c...
Destroys this component by purging any event listeners, removing the component's element from the DOM, removing the component from its Ext.Container (if applicable) and unregistering it from Ext.ComponentMgr. Destruction is generally handled automatically by the framework and this method should usually not need to be called directly.
Parameters:

- None.

Returns:

- `void`

Component

disable() : Ext.Component
Disable this component.
Disable this component.
Parameters:

- None.

Returns:

- `Ext.Component`
  this

Component

enable() : Ext.Component
Enable this component.
Enable this component.
Parameters:

- None.

Returns:

- `Ext.Component`
  this

Component

fireEvent( `String eventName`, `Object... args` ) : Boolean
Fires the specified event with the passed parameters (minus the event name).
Fires the specified event with the passed parameters (minus the event name).
Parameters:

- `eventName` : String
- `args` : Object...
  Variable number of parameters are passed to handlers

Returns:

- `Boolean`
  returns false if any of the handlers return false otherwise it returns true

Observable

focus( [`Boolean selectText`], [`Boolean/Number delay`] ) : Ext.Component
Try to focus this component.
Try to focus this component.
Parameters:

- `selectText` : Boolean
  (optional) If applicable, true to also select the text in this component
- `delay` : Boolean/Number
  (optional) Delay the focus this number of milliseconds (true for 10 milliseconds)

Returns:

- `Ext.Component`
  this

Component

getBox( [`Boolean local`] ) : Object
Gets the current box measurements of the component's underlying element.
Gets the current box measurements of the component's underlying element.
Parameters:

- `local` : Boolean
  (optional) If true the element's left and top are returned instead of page XY (defaults to false)

Returns:

- `Object`
  box An object in the format {x, y, width, height}

BoxComponent

getEl() : Ext.Element
Returns the underlying Ext.Element.
Returns the underlying Ext.Element.
Parameters:

- None.

Returns:

- `Ext.Element`
  The element

Component

getId() : String
Returns the id of this component.
Returns the id of this component.
Parameters:

- None.

Returns:

- `String`

Component

getItemId() : String
Returns the item id of this component.
Returns the item id of this component.
Parameters:

- None.

Returns:

- `String`

Component

getName() : String
Returns the name attribute of the field if available
Returns the name attribute of the field if available
Parameters:

- None.

Returns:

- `String`
  name The field name

Field

getPosition( [`Boolean local`] ) : Array
Gets the current XY position of the component's underlying element.
Gets the current XY position of the component's underlying element.
Parameters:

- `local` : Boolean
  (optional) If true the element's left and top are returned instead of page XY (defaults to false)

Returns:

- `Array`
  The XY position of the element (e.g., [100, 200])

BoxComponent

getRawValue() : Mixed
Returns the raw data value which may or may not be a valid, defined value. To return a normalized value see getValue.
Returns the raw data value which may or may not be a valid, defined value. To return a normalized value see getValue.
Parameters:

- None.

Returns:

- `Mixed`
  value The field value

Field

getSize() : Object
Gets the current size of the component's underlying element.
Gets the current size of the component's underlying element.
Parameters:

- None.

Returns:

- `Object`
  An object containing the element's size {width: (element width), height: (element height)}

BoxComponent

getValue() : Mixed
Returns the normalized data value (undefined or emptyText will be returned as ''). To return the raw value see getRa...
Returns the normalized data value (undefined or emptyText will be returned as ''). To return the raw value see getRawValue.
Parameters:

- None.

Returns:

- `Mixed`
  value The field value

Field

getXType() : String
Gets the xtype for this component as registered with Ext.ComponentMgr. For a list of all available xtypes, see the Ex...
Gets the xtype for this component as registered with Ext.ComponentMgr. For a list of all available xtypes, see the Ext.Component header. Example usage:

    var t = new Ext.form.TextField();
    alert(t.getXType());  // alerts 'textfield'

Parameters:

- None.

Returns:

- `String`
  The xtype

Component

getXTypes() : String
Returns this component's xtype hierarchy as a slash-delimited string. For a list of all available xtypes, see the Ext...
Returns this component's xtype hierarchy as a slash-delimited string. For a list of all available xtypes, see the Ext.Component header. Example usage:

    var t = new Ext.form.TextField();
    alert(t.getXTypes());  // alerts 'component/box/field/textfield'

Parameters:

- None.

Returns:

- `String`
  The xtype hierarchy string

Component

hasListener( `String eventName` ) : Boolean
Checks to see if this object has any listeners for a specified event
Checks to see if this object has any listeners for a specified event
Parameters:

- `eventName` : String
  The name of the event to check for

Returns:

- `Boolean`
  True if the event is being listened for, else false

Observable

hide() : Ext.Component
Hide this component.
Hide this component.
Parameters:

- None.

Returns:

- `Ext.Component`
  this

Component

initComponent() : void
Parameters:

- None.

Returns:

- `void`

BoxComponent

isDirty() : void
Returns true if this field has been changed since it was originally loaded and is not disabled.
Returns true if this field has been changed since it was originally loaded and is not disabled.
Parameters:

- None.

Returns:

- `void`

Field

isValid( `Boolean preventMark` ) : Boolean
Returns whether or not the field value is currently valid
Returns whether or not the field value is currently valid
Parameters:

- `preventMark` : Boolean
  True to disable marking the field invalid

Returns:

- `Boolean`
  True if the value is valid, else false

Field

isVisible() : void
Returns true if this component is visible.
Returns true if this component is visible.
Parameters:

- None.

Returns:

- `void`

Component

isXType( `String xtype`, [`Boolean shallow`] ) : void
Tests whether or not this component is of a specific xtype. This can test whether this component is descended from th...
Tests whether or not this component is of a specific xtype. This can test whether this component is descended from the xtype (default) or whether it is directly of the xtype specified (shallow = true). For a list of all available xtypes, see the Ext.Component header. Example usage:

    var t = new Ext.form.TextField();
    var isText = t.isXType('textfield');        // true
    var isBoxSubclass = t.isXType('box');       // true, descended from BoxComponent
    var isBoxInstance = t.isXType('box', true); // false, not a direct BoxComponent instance

Parameters:

- `xtype` : String
  The xtype to check for this component
- `shallow` : Boolean
  (optional) False to check whether this component is descended from the xtype (this is the default), or true to check whether this component is directly of the specified xtype.

Returns:

- `void`

Component

markInvalid( `String msg` ) : void
Mark this field as invalid
Mark this field as invalid
Parameters:

- `msg` : String
  The validation message

Returns:

- `void`

Field

on( `String eventName`, `Function handler`, [`Object scope`], [`Object options`] ) : void
Appends an event handler to this element (shorthand for addListener)
Appends an event handler to this element (shorthand for addListener)
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `scope` : Object
  (optional) The scope in which to execute the handler function. The handler function's "this" context.
- `options` : Object
  (optional)

Returns:

- `void`

Observable

purgeListeners() : void
Removes all listeners for this object
Removes all listeners for this object
Parameters:

- None.

Returns:

- `void`

Observable

removeClass( `string cls` ) : void
Removes a CSS class from the component's underlying element.
Removes a CSS class from the component's underlying element.
Parameters:

- `cls` : string
  The CSS class name to remove

Returns:

- `void`

Component

removeListener( `String eventName`, `Function handler`, [`Object scope`] ) : void
Removes a listener
Removes a listener
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The handler to remove
- `scope` : Object
  (optional) The scope (this object) for the handler

Returns:

- `void`

Observable

render( [`Mixed container`], [`String/Number position`] ) : void
If this is a lazy rendering component, render it to its container element.
If this is a lazy rendering component, render it to its container element.
Parameters:

- `container` : Mixed
  (optional) The element this component should be rendered into. If it is being applied to existing markup, this should be left off.
- `position` : String/Number
  (optional) The element ID or DOM node index within the container before which this component will be inserted (defaults to appending to the end of the container)

Returns:

- `void`

Component

reset() : void
Resets the current field value to the originally loaded value and clears any validation messages
Resets the current field value to the originally loaded value and clears any validation messages
Parameters:

- None.

Returns:

- `void`

Field

resumeEvents() : void
Resume firing events. (see suspendEvents)
Resume firing events. (see suspendEvents)
Parameters:

- None.

Returns:

- `void`

Observable

selectText( [`Number start`], [`Number end`] ) : void
Selects text in this field
Selects text in this field
Parameters:

- `start` : Number
  (optional) The index where the selection should start (defaults to 0)
- `end` : Number
  (optional) The index where the selection should end (defaults to the text length)

Returns:

- `void`

TextField

setDisabled( `Boolean disabled` ) : void
Convenience function for setting disabled/enabled by boolean.
Convenience function for setting disabled/enabled by boolean.
Parameters:

- `disabled` : Boolean

Returns:

- `void`

Component

setHeight( `Number height` ) : Ext.BoxComponent
Sets the height of the component. This method fires the resize event.
Sets the height of the component. This method fires the resize event.
Parameters:

- `height` : Number
  The new height to set

Returns:

- `Ext.BoxComponent`
  this

BoxComponent

setPagePosition( `Number x`, `Number y` ) : Ext.BoxComponent
Sets the page XY position of the component. To set the left and top instead, use setPosition. This method fires the ...
Sets the page XY position of the component. To set the left and top instead, use setPosition. This method fires the move event.
Parameters:

- `x` : Number
  The new x position
- `y` : Number
  The new y position

Returns:

- `Ext.BoxComponent`
  this

BoxComponent

setPosition( `Number left`, `Number top` ) : Ext.BoxComponent
Sets the left and top of the component. To set the page XY position instead, use setPagePosition. This method fires ...
Sets the left and top of the component. To set the page XY position instead, use setPagePosition. This method fires the move event.
Parameters:

- `left` : Number
  The new left
- `top` : Number
  The new top

Returns:

- `Ext.BoxComponent`
  this

BoxComponent

setRawValue( `Mixed value` ) : void
Sets the underlying DOM field's value directly, bypassing validation. To set the value with validation see setValue.
Sets the underlying DOM field's value directly, bypassing validation. To set the value with validation see setValue.
Parameters:

- `value` : Mixed
  The value to set

Returns:

- `void`

Field

setSize( `Number/Object width`, `Number height` ) : Ext.BoxComponent
Sets the width and height of the component. This method fires the resize event. This method can accept either width...
Sets the width and height of the component. This method fires the resize event. This method can accept either width and height as separate numeric arguments, or you can pass a size object like {width:10, height:20}.
Parameters:

- `width` : Number/Object
  The new width to set, or a size object in the format {width, height}
- `height` : Number
  The new height to set (not required if a size object is passed as the first arg)

Returns:

- `Ext.BoxComponent`
  this

BoxComponent

setValue( `Mixed value` ) : void
Sets a data value into the field and validates it. To set the value directly without validation see setRawValue.
Sets a data value into the field and validates it. To set the value directly without validation see setRawValue.
Parameters:

- `value` : Mixed
  The value to set

Returns:

- `void`

Field

setVisible( `Boolean visible` ) : Ext.Component
Convenience function to hide or show this component by boolean.
Convenience function to hide or show this component by boolean.
Parameters:

- `visible` : Boolean
  True to show, false to hide

Returns:

- `Ext.Component`
  this

Component

setWidth( `Number width` ) : Ext.BoxComponent
Sets the width of the component. This method fires the resize event.
Sets the width of the component. This method fires the resize event.
Parameters:

- `width` : Number
  The new width to set

Returns:

- `Ext.BoxComponent`
  this

BoxComponent

show() : Ext.Component
Show this component.
Show this component.
Parameters:

- None.

Returns:

- `Ext.Component`
  this

Component

suspendEvents() : void
Suspend the firing of all events. (see resumeEvents)
Suspend the firing of all events. (see resumeEvents)
Parameters:

- None.

Returns:

- `void`

Observable

syncSize() : Ext.BoxComponent
Force the component's size to recalculate based on the underlying element's current height and width.
Force the component's size to recalculate based on the underlying element's current height and width.
Parameters:

- None.

Returns:

- `Ext.BoxComponent`
  this

BoxComponent

un( `String eventName`, `Function handler`, [`Object scope`] ) : void
Removes a listener (shorthand for removeListener)
Removes a listener (shorthand for removeListener)
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The handler to remove
- `scope` : Object
  (optional) The scope (this object) for the handler

Returns:

- `void`

Observable

updateBox( `Object box` ) : Ext.BoxComponent
Sets the current box measurements of the component's underlying element.
Sets the current box measurements of the component's underlying element.
Parameters:

- `box` : Object
  An object in the format {x, y, width, height}

Returns:

- `Ext.BoxComponent`
  this

BoxComponent

validate() : Boolean
Validates the field value
Validates the field value
Parameters:

- None.

Returns:

- `Boolean`
  True if the value is valid, else false

Field

validateValue( `Mixed value` ) : Boolean
Validates a value according to the field's validation rules and marks the field as invalid if the validation fails
Validates a value according to the field's validation rules and marks the field as invalid if the validation fails
Parameters:

- `value` : Mixed
  The value to validate

Returns:

- `Boolean`
  True if the value is valid, else false

TextField

## Public Events

Event | Defined By
--- | ---

autosize : ( `Ext.form.Field this`, `Number width` )
Fires when the autosize function is triggered. The field may or may not have actually changed size according to the ...
Fires when the autosize function is triggered. The field may or may not have actually changed size according to the default logic, but this event provides a hook for the developer to apply additional logic at runtime to resize the field if needed.
Listeners will be called with the following arguments:

- `this` : Ext.form.Field
  This text field
- `width` : Number
  The new field width

TextField

beforedestroy : ( `Ext.Component this` )
Fires before the component is destroyed. Return false to stop the destroy.
Fires before the component is destroyed. Return false to stop the destroy.
Listeners will be called with the following arguments:

- `this` : Ext.Component

Component

beforehide : ( `Ext.Component this` )
Fires before the component is hidden. Return false to stop the hide.
Fires before the component is hidden. Return false to stop the hide.
Listeners will be called with the following arguments:

- `this` : Ext.Component

Component

beforerender : ( `Ext.Component this` )
Fires before the component is rendered. Return false to stop the render.
Fires before the component is rendered. Return false to stop the render.
Listeners will be called with the following arguments:

- `this` : Ext.Component

Component

beforeshow : ( `Ext.Component this` )
Fires before the component is shown. Return false to stop the show.
Fires before the component is shown. Return false to stop the show.
Listeners will be called with the following arguments:

- `this` : Ext.Component

Component

beforestaterestore : ( `Ext.Component this`, `Object state` )
Fires before the state of the component is restored. Return false to stop the restore.
Fires before the state of the component is restored. Return false to stop the restore.
Listeners will be called with the following arguments:

- `this` : Ext.Component
- `state` : Object
  The hash of state values

Component

beforestatesave : ( `Ext.Component this`, `Object state` )
Fires before the state of the component is saved to the configured state provider. Return false to stop the save.
Fires before the state of the component is saved to the configured state provider. Return false to stop the save.
Listeners will be called with the following arguments:

- `this` : Ext.Component
- `state` : Object
  The hash of state values

Component

blur : ( `Ext.form.Field this` )
Fires when this field loses input focus.
Fires when this field loses input focus.
Listeners will be called with the following arguments:

- `this` : Ext.form.Field

Field

change : ( `Ext.form.Field this`, `Mixed newValue`, `Mixed oldValue` )
Fires just before the field blurs if the field value has changed.
Fires just before the field blurs if the field value has changed.
Listeners will be called with the following arguments:

- `this` : Ext.form.Field
- `newValue` : Mixed
  The new value
- `oldValue` : Mixed
  The original value

Field

destroy : ( `Ext.Component this` )
Fires after the component is destroyed.
Fires after the component is destroyed.
Listeners will be called with the following arguments:

- `this` : Ext.Component

Component

disable : ( `Ext.Component this` )
Fires after the component is disabled.
Fires after the component is disabled.
Listeners will be called with the following arguments:

- `this` : Ext.Component

Component

enable : ( `Ext.Component this` )
Fires after the component is enabled.
Fires after the component is enabled.
Listeners will be called with the following arguments:

- `this` : Ext.Component

Component

focus : ( `Ext.form.Field this` )
Fires when this field receives input focus.
Fires when this field receives input focus.
Listeners will be called with the following arguments:

- `this` : Ext.form.Field

Field

hide : ( `Ext.Component this` )
Fires after the component is hidden.
Fires after the component is hidden.
Listeners will be called with the following arguments:

- `this` : Ext.Component

Component

invalid : ( `Ext.form.Field this`, `String msg` )
Fires after the field has been marked as invalid.
Fires after the field has been marked as invalid.
Listeners will be called with the following arguments:

- `this` : Ext.form.Field
- `msg` : String
  The validation message

Field

move : ( `Ext.Component this`, `Number x`, `Number y` )
Fires after the component is moved.
Fires after the component is moved.
Listeners will be called with the following arguments:

- `this` : Ext.Component
- `x` : Number
  The new x position
- `y` : Number
  The new y position

BoxComponent

render : ( `Ext.Component this` )
Fires after the component is rendered.
Fires after the component is rendered.
Listeners will be called with the following arguments:

- `this` : Ext.Component

Component

resize : ( `Ext.Component this`, `Number adjWidth`, `Number adjHeight`, `Number rawWidth`, `Number rawHeight` )
Fires after the component is resized.
Fires after the component is resized.
Listeners will be called with the following arguments:

- `this` : Ext.Component
- `adjWidth` : Number
  The box-adjusted width that was set
- `adjHeight` : Number
  The box-adjusted height that was set
- `rawWidth` : Number
  The width that was originally specified
- `rawHeight` : Number
  The height that was originally specified

BoxComponent

show : ( `Ext.Component this` )
Fires after the component is shown.
Fires after the component is shown.
Listeners will be called with the following arguments:

- `this` : Ext.Component

Component

specialkey : ( `Ext.form.Field this`, `Ext.EventObject e` )
Fires when any key related to navigation (arrows, tab, enter, esc, etc.) is pressed. You can check Ext.EventObject.g...
Fires when any key related to navigation (arrows, tab, enter, esc, etc.) is pressed. You can check Ext.EventObject.getKey to determine which key was pressed.
Listeners will be called with the following arguments:

- `this` : Ext.form.Field
- `e` : Ext.EventObject
  The event object

Field

staterestore : ( `Ext.Component this`, `Object state` )
Fires after the state of the component is restored.
Fires after the state of the component is restored.
Listeners will be called with the following arguments:

- `this` : Ext.Component
- `state` : Object
  The hash of state values

Component

statesave : ( `Ext.Component this`, `Object state` )
Fires after the state of the component is saved to the configured state provider.
Fires after the state of the component is saved to the configured state provider.
Listeners will be called with the following arguments:

- `this` : Ext.Component
- `state` : Object
  The hash of state values

Component

valid : ( `Ext.form.Field this` )
Fires after the field has been validated with no errors.
Fires after the field has been validated with no errors.
Listeners will be called with the following arguments:

- `this` : Ext.form.Field

Field